# Download dispute file Download an uploaded dispute file # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Disputes", "version": "1.0.0", "description": "Disputes API endpoints", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/disputes", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Evidence files", "description": "Endpoints to handle dispute evidence files" } ], "components": { "parameters": { "disputeId": { "name": "disputeId", "in": "path", "description": "Dispute ID", "required": true, "schema": { "type": "number" } }, "fileId": { "name": "fileId", "in": "path", "description": "Dispute file ID", "required": true, "schema": { "type": "number" } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad Request" }, "404NotFound": { "description": "Not found" }, "500InternalServerError": { "description": "Internal server error" } } }, "paths": { "/v1/disputes/{disputeId}/file/{fileId}": { "get": { "summary": "Download dispute file", "description": "Download an uploaded dispute file", "operationId": "get-v1-disputes-disputeId-files-fileId", "tags": [ "Evidence files" ], "parameters": [ { "$ref": "#/components/parameters/disputeId" }, { "$ref": "#/components/parameters/fileId" } ], "responses": { "200": { "description": "OK", "content": { "image/*": { "schema": { "type": "string", "format": "byte" } }, "application/pdf": { "schema": { "type": "string", "format": "byte" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```